diff --git a/doc/src/sgml/ref/vacuum.sgml b/doc/src/sgml/ref/vacuum.sgml
index 8ec5b40..b4c9bd5 100644
--- a/doc/src/sgml/ref/vacuum.sgml
+++ b/doc/src/sgml/ref/vacuum.sgml
@@ -252,32 +252,42 @@ VACUUM [ FULL ] [ FREEZE ] [ VERBOSE ] ANALYZE [ <replaceable class="PARAMETER">
 <programlisting>
 regression=# VACUUM (VERBOSE, ANALYZE) onek;
 INFO:  vacuuming "public.onek"
-INFO:  index "onek_unique1" now contains 1000 tuples in 14 pages
-DETAIL:  3000 index tuples were removed.
+INFO:  scanned index "onek_unique1" to remove 3000 row versions
+DETAIL:  CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  scanned index "onek_unique2" to remove 3000 row versions
+DETAIL:  CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  scanned index "onek_hundred" to remove 3000 row versions
+DETAIL:  CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  scanned index "onek_stringu1" to remove 3000 row versions
+DETAIL:  CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  "onek": removed 3000 row versions in 104 pages
+DETAIL:  CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  index "onek_unique1" now contains 1000 row versions in 17 pages
+DETAIL:  3000 index row versions were removed.
+10 index pages have been deleted, 0 are currently reusable.
+CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  index "onek_unique2" now contains 1000 row versions in 16 pages
+DETAIL:  3000 index row versions were removed.
 0 index pages have been deleted, 0 are currently reusable.
-CPU: user: 0.08 s, system: 0.01 s, elapsed: 0.18 s.
-INFO:  index "onek_unique2" now contains 1000 tuples in 16 pages
-DETAIL:  3000 index tuples were removed.
+CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  index "onek_hundred" now contains 1000 row versions in 16 pages
+DETAIL:  3000 index row versions were removed.
 0 index pages have been deleted, 0 are currently reusable.
-CPU: user: 0.07 s, system: 0.00 s, elapsed: 0.23 s.
-INFO:  index "onek_hundred" now contains 1000 tuples in 13 pages
-DETAIL:  3000 index tuples were removed.
+CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  index "onek_stringu1" now contains 1000 row versions in 17 pages
+DETAIL:  3000 index row versions were removed.
 0 index pages have been deleted, 0 are currently reusable.
-CPU: user: 0.08 s, system: 0.01 s, elapsed: 0.17 s.
-INFO:  index "onek_stringu1" now contains 1000 tuples in 48 pages
-DETAIL:  3000 index tuples were removed.
-0 index pages have been deleted, 0 are currently reusable.
-CPU: user: 0.09 s, system: 0.01 s, elapsed: 0.59 s.
-INFO:  "onek": removed 3000 tuples in 108 pages
-DETAIL:  CPU: user: 0.06 s, system: 0.01 s, elapsed: 0.07 s.
-INFO:  "onek": found 3000 removable, 1000 nonremovable tuples in 143 pages
-DETAIL:  0 dead tuples cannot be removed yet.
+CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s.
+INFO:  "onek": found 3000 removable, 1000 nonremovable row versions in 138 out of 138 pages
+DETAIL:  0 dead row versions cannot be removed yet, oldest xmin: 19590
 There were 0 unused item pointers.
 Skipped 0 pages due to buffer pins, 0 frozen pages.
 0 pages are entirely empty.
-CPU: user: 0.39 s, system: 0.07 s, elapsed: 1.56 s.
+CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.01 s.
+INFO:  "onek": truncated 138 to 35 pages
+DETAIL:  CPU: user: 0.03 s, system: 0.00 s, elapsed: 0.03 s.
 INFO:  analyzing "public.onek"
-INFO:  "onek": 36 pages, 1000 rows sampled, 1000 estimated total rows
+INFO:  "onek": scanned 35 of 35 pages, containing 1000 live rows and 0 dead rows; 1000 rows in sample, 1000 estimated total rows
 VACUUM
 </programlisting></para>
  </refsect1>
